#ifndef seafire__protocol__date_time_hxx_
#define seafire__protocol__date_time_hxx_

#include <chrono>
#include <optional>
#include <string>

namespace seafire::protocol
{

  std::string
  format_http_date(std::chrono::system_clock::time_point const&);

  std::optional<std::chrono::system_clock::time_point>
  try_parse_http_date(std::string const&);

} // namespace seafire::protocol

#endif
