#ifndef seafire__protocol__rc7231__allow_hxx_
#define seafire__protocol__rc7231__allow_hxx_

#include <seafire/protocol/token.hxx>

#include <sstream>
#include <string>

namespace seafire::protocol::rfc7231
{

  struct allow_t {
    using alias_type = tokens_t;

    static constexpr char const name[] = "allow";

    static
    std::string
    to_string(tokens_t const& tokens)
    {
      std::ostringstream str;

      if (auto it = tokens.begin(); it != tokens.end()) {
        str << *it;

        while (++it != tokens.end())
          str << ", " << *it;
      }

      return str.str();
    }
  };

} // namespace seafire::protocol::rfc7231

#endif
