#ifndef seafire__protocol__rc7231__location_hxx_
#define seafire__protocol__rc7231__location_hxx_

#include <code/uri/uri.hxx>

#include <string>
#include <system_error>

namespace seafire::protocol::rfc7231
{

  struct location_t
  {
    using alias_type = code::uri::uri_t;
  
    static constexpr const char name[] = "location";
  
    static
    std::string
    to_string(code::uri::uri_t const& location)
    {
      return code::uri::to_string(location);
    }
  };

} // namespace seafire::protocol::rfc7231

#endif
